
Foreman - Bug #10727

UI should raise an error on creating a host with BMC interface, when BMC feature is not enabled on

proxy

06/08/2015 04:13 AM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Host creation   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1218876 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2441

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1218876

Description of problem:

I was trying to provision a host and added a new BMC interface from new_host form. I submitted the form and later I realized I forgot

to enable the BMC feature on proxy.

Provisioning on the host started without throwing any error on UI. However production.log raises a warning:

--

2015-05-06 11:43:25 [I] Processing by HostsController#bmc as HTML

2015-05-06 11:43:25 [I]   Parameters: {"id"=>"mac525400c75a5e.englab.pnq.redhat.com"}

2015-05-06 11:43:25 [I]   Rendered hosts/_bmc.html.erb (13.7ms)

2015-05-06 11:43:25 [W] Failed to fetch bmc information: ERF42-1518 [Foreman::Exception]: Unable to find a proxy with BMC

feature

2015-05-06 11:43:25 [I]   Rendered text template (0.0ms)

2015-05-06 11:43:25 [I] Completed 200 OK in 52ms (Views: 0.7ms | ActiveRecord: 1.6ms)

---

Moreover, when I see the BMC tab on host details page and on clicking the 'BMC' tab, it was showing: Failure: ERF42-1518

[Foreman::Exception]: Unable to find a proxy with BMC feature

This is a usability issue, on submit the form, user should get a proper error message: "Unable to find a proxy with BMC feature" 

and it should be popped-up on UI.

 Version-Release number of selected component (if applicable):

sat6.1 GA Snap2 (Satellite-6.1.0-RHEL-7-20150429.2)

How reproducible:

always

Steps to Reproduce:

1. provision a host with BMC interface and without enabling BMC feature on proxy

2.

3.

Actual results:

when user provisioned a host with BMC interface and without enabling BMC feature, provisioning starts without throwing any error

Expected results:

on submit the form, user should get a proper error message: "Unable to find a proxy with BMC feature" 

and it should be popped-up on UI.

 Additional info:
Please see the BMC tab in attachment.. UI is throwing error under BMC tab only. It should be properly popped-up before actual

provisioning starts.

Associated revisions

Revision a9c70fb4 - 06/24/2015 06:53 AM - Shimon Shtein

Fixes #10727 - Added validation to require BMC Smart proxy in order to add BMC nic

History

#1 - 06/08/2015 04:17 AM - Dominic Cleal

- Category set to Host creation

#2 - 06/08/2015 06:12 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2441 added

- Pull request deleted ()

#3 - 06/24/2015 06:54 AM - Dominic Cleal

- translation missing: en.field_release set to 35

#4 - 06/24/2015 07:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a9c70fb468054622c322f953949039373d2983c9.
